Bug 150503 - CAN-2005-0664 buffer overflow in libexif
CAN-2005-0664 buffer overflow in libexif
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: libexif (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Marco Pesenti Gritti
impact=low,public=20040303,source=ven...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 15:43 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 13:22:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-07 15:43:03 EST
Ubuntu alerted vendor-sec to a buffer overflow reported to their BTS regarding
processing exif headers with libexif.

See:
https://bugzilla.ubuntulinux.org/show_bug.cgi?id=7152
http://sourceforge.net/tracker/index.php?func=detail&aid=1158402&group_id=12272&atid=312272

The sourceforge bug suggests this is only a DoS.
Comment 1 Marco Pesenti Gritti 2005-03-09 06:36:19 EST
I released FC2/FC3 updates and I filed an errata request. Do I need to file a QA
request? I'm not sure what ask to test since there are not testcases of the
issue available...
Comment 2 Mark J. Cox (Product Security) 2005-03-14 06:53:34 EST
This is a crash only of a user application, therefore this is low
severity.
Comment 3 Mark J. Cox (Product Security) 2005-03-21 13:22:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-300.html

Note You need to log in before you can comment on or make changes to this bug.